package net.sf.beanrunner.factory;

import java.util.*;

public abstract class AbstractInstanceFactory implements InstanceFactory {

	private Set sett;

	protected AbstractInstanceFactory() {
		sett = new HashSet();
	}

	public Iterator iterator() {
		Set set = new HashSet();
		initCollection(set);
		return set.iterator();
	}

	protected abstract void initCollection(Collection collection);

}